<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div>';

switch($_GET[a])
	{
    default:
	echo '<div class="info">';
    if (isset($_POST[text]))
		{
		$text = htmlspecialchars($_POST[text]);
		$type = abs($_POST[type]);
		$error = '';
		$count_text = mb_strlen($text, 'UTF-8');
		if ($count_text < 10 || $count_text > 10000) $error .= 'Текст слишком длинный или короткий<br/>';
		if (abs($type) == '0' AND abs($type) > '5') $error .= 'Неверная тема';
		if (empty($error))
			{
			mysql_query("INSERT INTO `bag` SET `type`='$type',`text`='$text',`who`='$id'");
			echo 'Успешно отправлено<br /><a href="./bag.php">Вернуться</a></div>';
			} else echo '<b>Ошибка!</b><br />'.$error;

		} else {
	echo 'Нашли ошибку в игре? Есть какие то предложения? Напишите об этом <img src="./images/coins.png" alt="coins">';
	echo '</div><div class="info">Выберите тип сообщения: <br />';

	echo '
	<form method="POST" action="bag.php">
	<select size="1" name="type">
    <option value="1">Грамматическая ошибка</option>
    <option value="2">Техническая ошибка</option>
    <option value="3">Проблемы с оформлением</option>
	<option value="4">Предложение</option>
	<option value="5" selected>Покупка золота</option>
    </select><br />
	Текст:<br />
	<textarea rows="5" cols="15" name="text"></textarea><br />
	<input type="submit" value="Отправить">
	</form>
	</div>
	';
				}
	$count_b = mysql_result(mysql_query("SELECT count(*) FROM `bag`"),0);
	if ($user[rank]=='Админ') echo '<a class="razd" href="?a=view">Просмотр обращений ('.$count_b.')</a>';
    break;

    case 'view':
	echo '<div class="info">';
	if ($user[rank]=='Админ')
		{

		$per_page=$user[massages];
		// получаем номер страницы

		if (isset($_GET[page])) $page=($_GET[page]-1); else $page=0;

		// вычисляем первый оператор для LIMIT
		$start=abs($page*$per_page);

		// составляем запрос и выводим записи
		// переменную $start используем, как нумератор записей.
		$q="SELECT * FROM `bag` ORDER BY id DESC LIMIT $start,$per_page";

		$res=mysql_query($q);
		while($row=mysql_fetch_array($res))
		{
		if ($row[type]=='1') $type_b = 'Грам';
		if ($row[type]=='2') $type_b = 'Тех';
		if ($row[type]=='3') $type_b = 'Оформл';
		if ($row[type]=='4') $type_b = 'Предл';
		if ($row[type]=='5') $type_b = '<b>ЗОИТО!</b>';
		$login_b = mysql_fetch_array(mysql_query("SELECT login FROM users WHERE id=$row[who]"));
		echo '<b>'.$login_b[login].'</b> ('.$type_b.')<br />'.$row[text].'<br />---<br/>';
		}

		$q="SELECT count(*) FROM `bag`";
		$res=mysql_query($q);
		$row=mysql_fetch_row($res);
		$total_rows=$res;

		$num_pages=ceil($total_rows/$per_page);

		for($i=1;$i<=$num_pages;$i++) {
		  if ($i-1 == $page)
		  {
			echo '['.$i."] ";
		  } else

		  {
			echo '<a href="bag.php?a=view&amp;page='.$i.'">['.$i."]</a> ";
		  }

		  }

		echo '</div><a class="razd" href="bag.php">Вернуться</a>';
		} else header("Location: bag.php");

    break;
	}


echo '
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer">
<div align="center"><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br /></div>
</div>
</body></html>
';


?>